# Protein for Ruby

***Multi-platform remote procedure call (RPC) system based on Protocol Buffers***

Features:

- Implement RPC services and clients for Elixir and Ruby platforms
- Call remote services using unified, simple client API
- Call to services for an immediate response or push non-blocking requests to async services
- Define services via unified, configurable DSL
- Define service input/outputs using the widely acclaimed Google Protocol Buffers format
- Transport your calls via HTTP or AMQP transports

Packages:

- [Protein for Elixir](http://github.com/surgeventures/protein-elixir)
- [Protein for Ruby](http://github.com/surgeventures/protein-ruby)

## Getting Started

Add `protein` as a dependency to your project in `Gemfile`:

```elixir
gem "protein", "~> x.x.x"
```

Then run `bundle install` to fetch it.

## Documentation

We don't provide documentation for Ruby package at the moment. Please look for answers in the code
and in documentation for Elixir package - basic concepts and API shapes are akin.
